#!/bin/sh

export ROOT=/www
CONFIG=$ROOT/config
SCRIPT=$ROOT/script

backupDir="/tmp/backup"
rm -rf $backupDir
mkdir -p $backupDir
cp /etc/config/network /etc/config/wireless /etc/config/dhcp $backupDir
sh -x $SCRIPT/init.sh
cp $backupDir/* /etc/config
rm -rf $backupDir

sh -x $SCRIPT/update/post-update.sh # setup ng_ap2
echo >> $CONFIG/ng.conf # force update config
sh -x $SCRIPT/update/update-ng-config.sh
rm -rf $ROOT/wget-log*
rm -rf /tmp/installing

killall tcpdump 2>/dev/null
killall tcpdump 2>/dev/null
killall sh 2>/dev/null
killall sh 2>/dev/null

model="`sh $SCRIPT/model.sh`"
models=`ls -1 $ROOT/models`
for m in $models ; do
  [ "${m:0:4}" == init -o $m == $model ] && continue
  rm -rf $ROOT/models/$m
done
