#!/bin/sh

[ -z "$ROOT"] && ROOT=/www
CONFIG=$ROOT/config

source $CONFIG/ap.conf
[ -z "$MOBILE_DEV" ] && echo {} && exit

source /usr/share/libubox/jshn.sh

cmd="uqmi -d $MOBILE_DEV"
eval status=`$cmd --get-data-status | awk -F'"' '{print $2}'`
[ "$status" != connected ] && echo "{ \"status\": \"$status\" }" && exit

json_load "`$cmd --get-signal-info`"
json_get_var type type
json_get_var rssi rssi
json_cleanup

json_load "`$cmd --get-current-settings`"
json_get_var ipFamily ip-family
json_select $ipFamily
json_get_var ip ip
json_get_var subnet subnet
json_get_var gateway gateway
json_get_var dns1 dns1
json_get_var dns2 dns2
json_cleanup

json_init
json_add_string status $status
json_add_string type $type
json_add_int rssi $rssi
json_add_string ip $ip
json_add_string subnet $subnet
json_add_string gateway $gateway
json_add_string dns1 $dns1
json_add_string dns2 $dns2

[ -z "$json" ] && echo -n "mobile "
echo -n "$(json_dump)"
json_cleanup