#!/bin/sh

[ -z "$ssid" -o -z "$mac" ] && echo "missing param" 1>&2 && exit

ROOT=/www
CONFIG=$ROOT/config
SCRIPT=$ROOT/script

[ -f $CONFIG/ng.conf ] && source $CONFIG/ng.conf
source $CONFIG/ap.conf

source $SCRIPT/utils/wifi.sh
source $SCRIPT/utils/network.sh
source $SCRIPT/utils/hotspot.sh
source $SCRIPT/utils/qos.sh
source $SCRIPT/utils/misc.sh

mac=`upper $mac`
sessionDir="/var/stats/ssid${ssid}/sessions/$mac"
[ ! -d "$sessionDir" ] && echo "no session dir" 1>&2 && exit
cd $sessionDir

removeIpFromIpset $ssid $mac

if [ -s ip ] ; then
  ip=`cat ip`
  if which conntrack ; then
    conntrack -D -s $ip
    conntrack -D -d $ip
  fi
  # disable qos
  disableQosOfIpOnSsid $ssid $ip
fi

if [ ! -z "$block" ] ; then
  echo "$mac" >> /tmp/blocked.maclist
  $SCRIPT/setup/setup-blocked-mac.sh

  infs=`getSsidWirelessInf $ssid`
  for inf in $infs ; do
    iw $inf station del $mac 2>/dev/null
  done
fi

[ -z "$force" ] && force=User
echo -n $force > kickedOut
rm -f authenticated
rm -f _*
rm -f startedAt idleTimeout expireDate \
  sessionTimeout dataRemaining timeRemaining \
  maxDownload maxUpload \
  rxBytes rxPackets txBytes txPackets txRetries txFailed
