const isIOS = /(iphone|ipad|ipod)/i.test(navigator.userAgent);
const isAndroid = /android/i.test(navigator.userAgent);

if (isIOS) {
  document.body.classList.add('ios');
} else {
  document.body.classList.add('android');
}

function getEle(ele) {
  if (typeof ele === 'string') {
    return document.querySelector(ele);
  }
  return ele;
}
function hide(ele) {
  getEle(ele).classList.add('hidden');
}
function show(ele) {
  getEle(ele).classList.remove('hidden');
}

var alertContainerEle = getEle('.alert-container');
var alertEle = getEle('.alert-content');
var alertTimeout;

function _alert(content) {
  if (!alertContainerEle) return;
  clearTimeout(alertTimeout);
  show(alertContainerEle);

  alertEle.innerText = content;
  alertTimeout = setTimeout(function() {
    hide(alertContainerEle);
  }, 1500);
}

function copy(text) {
  const ele = document.createElement('input');
  ele.setAttribute('type', 'text');
  ele.setAttribute('value', text);
  document.body.appendChild(ele);

  if (isIOS) {
    const range = document.createRange();
    range.selectNodeContents(ele);
    const selection = window.getSelection();
    selection.removeAllRanges();
    selection.addRange(range);

    ele.setSelectionRange(0, 999999);
  } else {
    ele.focus();
    ele.select();
  }

  try {
    const res = document.execCommand('Copy');
    _alert('Đã copy (Copied)');
  } catch (err) {}

  document.body.removeChild(ele);
}

var telEles = document.querySelectorAll('a.support--tel');
Array.prototype.forEach.call(telEles, function(ele) {
  ele.addEventListener(
    'click',
    function(e) {
      copy(ele.href.replace('tel:', ''));
    },
    false,
  );
});
